
%bcond_with pkcs11

Summary:       an HTTP/1.1 and WebDAV client library with a C API
Name:          neon
Version:       0.32.5
Release:       3%{?dist}
License:       LGPLv2+
URL:           https://notroj.github.io/neon/
Source0:       https://notroj.github.io/neon/neon-%{version}.tar.gz

Patch3000:     neon-0.32.5-multilib.patch.patch

BuildRequires: pkgconfig make gcc
BuildRequires: xmlto expat-devel openssl-devel zlib-devel krb5-devel libproxy-devel
BuildRequires: /usr/bin/perl /usr/bin/openssl /usr/bin/certutil
%if %{with pkcs11}
BuildRequires: pakchois-devel
%endif


%description
neon is an HTTP and WebDAV client library, with a C interface. It
provides lower-level interfaces to directly implement new HTTP methods,
and higher-level interfaces so that you don't have to worry about the
lower-level stuff. neon supports persistent connections, proxy servers,
basic, digest and Kerberos authentication, and has complete SSL support.


%package devel
Summary:  Development libraries and C header files for the neon library
License:  LGPLv2+ and GPLv2+
Requires: pkgconfig
Requires: openssl-devel zlib-devel expat-devel
Requires: neon = %{version}-%{release}

%description devel
The development library for the C language HTTP and WebDAV client library.


%prep
%autosetup -p1
sed -i '/^install-docs/s/install-html//' Makefile.in


%build
%configure \
        --with-expat \
        --enable-shared \
        --disable-static \
        --enable-warnings \
        --with-ssl=openssl \
        --enable-threadsafe-ssl=posix \
        --with-libproxy
%make_build


%install
%make_install
sed -ri "/^dependency_libs/{s,-l[^ ']*,,g}" %{buildroot}%{_libdir}/libneon.la


%check
export TEST_QUIET=0
%make_build check


%find_lang %{name}

%files -f %{name}.lang
%license src/COPYING.LIB
%doc AUTHORS BUGS TODO NEWS README* THANKS
%{_libdir}/*.so.*

%files devel
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/neon.pc
%{_libdir}/*.*a
%{_libdir}/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32.5-3
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 28 2023 jackeyji <jackeyji@tencent.com> - 0.32.5-2
- rebuild for libproxy 0.5.3

* Thu Aug 24 2023 jackeyji <jackeyji@tencent.com> - 0.32.5-1
- upgrade to 0.32.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 Miaojun Dong <zoedong@tencent.com> - 0.32.3-1
- initial build
